/* Whole Layout */
.register-layout {
  width: 100vw;
  height: 100vh;
  padding: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.register-layout .register-container {
  width: 100%;
  max-width: 900px;
  display: flex;
  box-shadow: 0px 0px 10px gray;
  border-radius: 8px;
  overflow: hidden;
}

/* Left & Right Part */
.register-layout .register-container .register-right,
.register-layout .register-container .register-left {
  width: 50%;
}

.register-layout .register-container .register-left {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.register-layout .register-container .register-right {
  background-color: var(--secondary);
  padding: 30px;
}

/* Form Layout */
.register-layout .register-container .register-right form {
  display: flex;
  flex-direction: column;
  gap: 30px;
  align-items: center;
}

/* Logo */
.register-layout .register-container .register-right img {
  width: 250px;
  max-width: 250px;
}

/* Inputs Layout */
.input-group {
  position: relative;
  background-color: var(--white);
  border-radius: 4px;
  padding: 5px 10px;
  display: flex;
  align-items: center;
  transition: all 0.5s ease;
  width: 100%;
    border: 1px solid var(--grey220);
}

/* Input Icon */
.input-group i {
  color: var(--primary);
  font-size: 18px;
}

/* Input */
.input-group input {
  border: none;
  outline: none;
  background: transparent;
  width: 100%;
  padding: 10px 5px;
}

/* Label */
.input-group label {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  pointer-events: none;
  transition: all 0.2s ease-out;
  background-color: transparent;
  padding: 2px 5px;
}

.input-group input:focus + label,
.input-group input:not(:placeholder-shown) + label {
  top: 0;
  font-size: 12px;
  color: var(--primary);
  background-color: var(--white);
  transform: translateY(-50%);
  right: 10px;
  border-radius: 4px;
}

/* Submit */
.register-layout button {
  background-color: var(--primary);
  border: 1px solid var(--grey220);
  margin: auto;
  padding: 5px 25px;
  border-radius: 4px;
  color: var(--white);
  transition: all 0.5s ease;
  cursor: pointer;
}

.register-layout button:hover {
  background-color: var(--white);
  color: var(--primary);
}

/* Go To Login */
.register-login {
  display: flex;
  justify-content: flex-start;
  gap: 2px;
  width: 100%;
  font-size: 14px;
}

.register-login a {
  text-decoration: none;
  color: var(--primary);
  text-align: justify;
}

.register-login a:visited {
  color: var(--primary);
}

/* Delete Left Part */
@media (max-width: 768px) {
  .register-layout .register-container .register-left {
    display: none;
  }
  .register-layout .register-container .register-right {
    width: 100%;
  }
}

/* Forgot Password */
.bottom-part-login {
  display: flex;
  flex-direction: column;
  align-items: start;
  width: 100%;
  gap: 10px;
}
